Upload an image
Generate a pre-signed S3 URL for uploading an image. The output upload_url must be used to PUT an image.
Example upload request (values taken from the /upload response):
PUT /upload/<signed-url>Content-Type: <content_type><binary-image-data>The file_id can be used to start a batch job through the images field.
token_authAuthorizationBearer <token>Token-based authentication using access tokens.
application/json- body
filename?|Original filename of the uploaded image. If left empty, a random UUID will be used.
nulltag_ids?array<string>IDs of existing, visible tags to assign to the newly created asset.
[]new_tags?array<>New tags to create (owned by the caller) and assign to the newly created asset.
[]Successful Response
application/json- response
upload_url*Upload UrlPre-signed URL for uploading the image (PUT).
download_url*Download UrlURL to download the uploaded image.
file_id*File IdUnique file ID on our storage.
filename*FilenameOriginal file name.
content_type*Content TypeMIME type of the uploaded file. Must be supplied in the PUT request to upload the image in the header Content-Type.
curl -X POST "https://example.com/upload" \ -H "Content-Type: application/json" \ -d '{}'{ "upload_url": "string", "download_url": "string", "file_id": "string", "filename": "string", "content_type": "string"}